Unable to install rCharts package

Problem

The following warning message appears when installing rCharts source file in Linux:
> install.packages("ramnathv-rCharts-2c368c8.tar")
Warning message:
package ‘ramnathv-rCharts-2c368c8.tar’ is not available (for R version 3.0.2)

Solution

Since the rCharts package is not on CRAN, you will need the devtools package to install it. The correct way to install it as described by the rCharts author is by following the instructions from this link:

http://ramnathv.github.io/rCharts/

Alternative methods to install it as mentioned by the author are as follows:
1. 
>install.packages('devtools')
>library(devtools)
>install_github("ramnathv/rCharts")

2.
>library(downloader)
>download("https://github.com/ramnathv/rCharts/archive/master.tar.gz", "rCharts.tar.gz")
>install.packages("rCharts.tar.gz", repos = NULL, type = "source")
Some reference links as well to guide you with installing rCharts:
https://github.com/ramnathv/rMaps/issues/11
https://github.com/ramnathv/rCharts/issues/411
Properties

Article ID: 3103811 - Last Review: Nov 1, 2015 - Revision: 1

Revolution Analytics

Feedback